#' UK Inflation Dataset
#'
#' A subset of quarterly CPI Index data from the ONS Inflation data (Q4 2022 release).
#'
#' @format ## `inflation`
#' A data frame with 135 observations and 36 variables:
#' \describe{
#'   \item{columns}{Different classes of inflation index}
#'   \item{rows}{Quarterly values of the relevant CPI index, benchmarked to 2015=100}
#'   ...
#' }
#' @source <https://www.ons.gov.uk/economy/inflationandpriceindices/datasets/consumerpriceindices>
#' 
#' @examples 
#' # load inflation data 
#' data = inflation 
#' 
"inflation"

